Summary:	User Mode Linux tools
Summary(pl.UTF-8):	Narzędzia dla Linuksa w przestrzeni użytkownika
Name:		umlinux-tools
Version:	20070815
Release:	6
License:	GPL v2
Group:		Applications/Emulators
Source0:	http://user-mode-linux.sourceforge.net/uml_utilities_%{version}.tar.bz2
# Source0-md5:	b0468ac8b79cef53f36f5f9517907462
Patch0:		%{name}-Makefile.patch
Patch1:		no-hardcoded-libdir.patch
Patch2:		build.patch
URL:		http://user-mode-linux.sourceforge.net/
BuildRequires:	libfuse-devel
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
User Mode Linux tools.

%description -l pl.UTF-8
Narzędzia dla Linuksa w przestrzeni użytkownika.

%prep
%setup -q -n tools-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags} -Wall" \
	LDFLAGS="%{rpmldflags}" \
	LIB_DIR=%{_libdir}/uml

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	LIB_DIR=%{_libdir}/uml

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/jail_uml
%dir %{_libdir}/uml
%attr(755,root,root) %{_libdir}/uml/port-helper
%doc Changelog
%changelog
* Sun Oct 20 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/umlinux-tools.git;a=log;h=master

* Sun Oct 20 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 9f23b27
- rel 6; fix build

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> aed3fb4
- release 5 (by relup.sh)

* Sat Oct 22 2016 Jan Rękorajski <baggins@pld-linux.org> 02c1884
- fix libdir location
- rel 4

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 7968e02
- rebuild with readline 7.0
- release 3 (by relup.sh)

* Mon Feb 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4b5a957
- release 2

* Sun Oct 26 2008 pawelz <pawelz@pld-linux.org> 3f7930c
- rel 1, STBR

* Sun Oct 26 2008 pawelz <pawelz@pld-linux.org> 6354b9e
- GPL version
- more verbose %files
- added %doc

* Sat May 10 2008 Jakub Bogusz <qboosh@pld-linux.org> 0f6dfb6
- optflags done (I hope)

* Sat May 10 2008 twittner <twittner@pld-linux.org> 0141610
- get rid of setting permissions, stripping files - these are not suitable
  for building rpm
- CFLAGS, LDFLAGS fixes

* Sat May 10 2008 twittner <twittner@pld-linux.org> a80035b
- up to 20070815
- pass CC, CFLAGS, LDFLAGS
- Makefile fixes

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> fcb2ad8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cd4b1d7
- converted to UTF-8

* Mon Jun 26 2006 Jakub Bogusz <qboosh@pld-linux.org> c806242
- cosmetics

* Sun Jun 18 2006 pascalek <pascalek@pld-linux.org> 0f1f2b6
- initial revision

